import { __awaiter } from "tslib";
export const noneSourceFetcher = () => {
    const fetch = (params) => __awaiter(void 0, void 0, void 0, function* () {
        return {};
    });
    const fetchList = (params) => __awaiter(void 0, void 0, void 0, function* () {
        return [];
    });
    const store = (params) => __awaiter(void 0, void 0, void 0, function* () {
        throw Error("Not implemented");
    });
    const del = (params) => __awaiter(void 0, void 0, void 0, function* () {
        throw Error("Not implemented");
    });
    return {
        type: "none",
        params: [],
        inputParams: [],
        fields: [],
        fetch,
        fetchList,
        store,
        del,
    };
};
//# sourceMappingURL=noneSourceHooks.js.map